## r-bioc-sparsearray 1.0.12+dfsg

=== DESCRIPTION ===
Package: SparseArray
Title: Efficient in-memory representation of multidimensional sparse
        arrays
Description: The SparseArray package is an infrastructure package that
	provides an array-like container for efficient in-memory representation
	of multidimensional sparse data in R. The package defines the
	SparseArray virtual class and two concrete subclasses: COO_SparseArray
	and SVT_SparseArray. Each subclass uses its own internal representation
	of the nonzero multidimensional data, the "COO layout" and the "SVT
	layout", respectively. SVT_SparseArray objects mimic as much as
	possible the behavior of ordinary matrix and array objects in base R.
	In particular, they suppport most of the "standard matrix and array API"
	defined in base R and in the matrixStats package from CRAN.
biocViews: Infrastructure, DataRepresentation
URL: https://bioconductor.org/packages/SparseArray
BugReports: https://github.com/Bioconductor/SparseArray/issues
Version: 1.0.12
License: Artistic-2.0
Encoding: UTF-8
Authors@R: c(
	person("Hervé", "Pagès", role=c("aut", "cre"),
		email="hpages.on.github@gmail.com"),
	person("Vince", "Carey", role="fnd",
		email="stvjc@channing.harvard.edu"),
	person("Rafael A.", "Irizarry", role="fnd",
		email="rafa@ds.harvard.edu"))
Depends: R (>= 4.3.0), methods, Matrix, BiocGenerics (>= 0.43.1),
        MatrixGenerics (>= 1.11.1), S4Vectors, S4Arrays (>= 1.0.6)
Imports: stats, matrixStats, IRanges, XVector
LinkingTo: S4Vectors, IRanges, XVector
Suggests: DelayedArray, testthat, knitr, rmarkdown, BiocStyle
VignetteBuilder: knitr
Collate: sparseMatrix-utils.R SparseArray-class.R
        COO_SparseArray-class.R SVT_SparseArray-class.R
        extract_sparse_array.R read_block_as_sparse.R
        SparseArray-dim-tuning.R SparseArray-aperm.R
        SparseArray-subsetting.R SparseArray-subassignment.R
        SparseArray-abind.R SparseArray-summarization.R
        SparseArray-Ops-methods.R SparseArray-Math-methods.R
        SparseArray-Complex-methods.R SparseArray-misc-methods.R
        SparseMatrix-mult.R matrixStats-methods.R rowsum-methods.R
        randomSparseArray.R readSparseCSV.R zzz.R
git_url: https://git.bioconductor.org/packages/SparseArray
git_branch: RELEASE_3_17
git_last_commit: 90e0d62
git_last_commit_date: 2023-08-30
Date/Publication: 2023-08-31
NeedsCompilation: yes
Packaged: 2023-08-31 22:34:30 UTC; biocbuild
Author: Hervé Pagès [aut, cre],
  Vince Carey [fnd],
  Rafael A. Irizarry [fnd]
Maintainer: Hervé Pagès <hpages.on.github@gmail.com>

## r-bioc-sparsearray 1.2.4+dfsg

=== DESCRIPTION ===
--- 
+++ 
@@ -14,7 +14,7 @@
 biocViews: Infrastructure, DataRepresentation
 URL: https://bioconductor.org/packages/SparseArray
 BugReports: https://github.com/Bioconductor/SparseArray/issues
-Version: 1.0.12
+Version: 1.2.4
 License: Artistic-2.0
 Encoding: UTF-8
 Authors@R: c(
@@ -25,7 +25,7 @@
 	person("Rafael A.", "Irizarry", role="fnd",
 		email="rafa@ds.harvard.edu"))
 Depends: R (>= 4.3.0), methods, Matrix, BiocGenerics (>= 0.43.1),
-        MatrixGenerics (>= 1.11.1), S4Vectors, S4Arrays (>= 1.0.6)
+        MatrixGenerics (>= 1.11.1), S4Vectors, S4Arrays (>= 1.1.6)
 Imports: stats, matrixStats, IRanges, XVector
 LinkingTo: S4Vectors, IRanges, XVector
 Suggests: DelayedArray, testthat, knitr, rmarkdown, BiocStyle
@@ -41,12 +41,13 @@
         SparseMatrix-mult.R matrixStats-methods.R rowsum-methods.R
         randomSparseArray.R readSparseCSV.R zzz.R
 git_url: https://git.bioconductor.org/packages/SparseArray
-git_branch: RELEASE_3_17
-git_last_commit: 90e0d62
-git_last_commit_date: 2023-08-30
-Date/Publication: 2023-08-31
+git_branch: RELEASE_3_18
+git_last_commit: 5ece9d3
+git_last_commit_date: 2024-02-09
+Repository: Bioconductor 3.18
+Date/Publication: 2024-02-11
 NeedsCompilation: yes
-Packaged: 2023-08-31 22:34:30 UTC; biocbuild
+Packaged: 2024-02-12 00:17:47 UTC; biocbuild
 Author: Hervé Pagès [aut, cre],
   Vince Carey [fnd],
   Rafael A. Irizarry [fnd]

=== debian/changelog ===
r-bioc-sparsearray (1.2.4+dfsg-1) unstable; urgency=medium

  * New upstream version

 -- Andreas Tille <tille@debian.org>  Tue, 20 Feb 2024 14:27:12 +0100

r-bioc-sparsearray (1.2.3+dfsg-1) unstable; urgency=medium

  * New upstream version
  * Reorder sequence of d/control fields by cme (routine-update)
  Set upstream metadata fields: Archive.

 -- Andreas Tille <tille@debian.org>  Tue, 02 Jan 2024 13:56:32 +0100

r-bioc-sparsearray (1.2.2+dfsg-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Fixed debian/watch for BioConductor
  * dh-update-R to update Build-Depends (routine-update)
  * Reduce piuparts noise in transitions (routine-update)
  Trim trailing whitespace.
  Set upstream metadata fields: Bug-Database, Bug-Submit, Repository-Browse.

 -- Charles Plessy <plessy@debian.org>  Thu, 30 Nov 2023 00:42:44 +0000

r-bioc-sparsearray (1.0.12+dfsg-1) unstable; urgency=medium

  * Initial release (closes: #1055865)

 -- Andreas Tille <tille@debian.org>  Mon, 13 Nov 2023 09:30:40 +0100

=== debian/control ===
Source: r-bioc-sparsearray
Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
Uploaders: Andreas Tille <tille@debian.org>
Section: gnu-r
Testsuite: autopkgtest-pkg-r
Priority: optional
Build-Depends: debhelper-compat (= 13),
               dh-r,
               r-base-dev,
               r-cran-matrix,
               r-bioc-biocgenerics (>= 0.43.1),
               r-bioc-matrixgenerics (>= 1.11.1),
               r-bioc-s4vectors,
               r-bioc-s4arrays,
               r-cran-matrixstats,
               r-bioc-iranges,
               r-bioc-xvector
Standards-Version: 4.6.2
Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-bioc-sparsearray
Vcs-Git: https://salsa.debian.org/r-pkg-team/r-bioc-sparsearray.git
Homepage: https://bioconductor.org/packages/SparseArray/
Rules-Requires-Root: no

Package: r-bioc-sparsearray
Architecture: any
Depends: ${R:Depends},
         ${shlibs:Depends},
         ${misc:Depends}
Recommends: ${R:Recommends}
Suggests: ${R:Suggests}
Description: efficient in-memory representation of multidimensional sparse arrays
 The SparseArray package is an infrastructure package that
 provides an array-like container for efficient in-memory representation
 of multidimensional sparse data in R. The package defines the
 SparseArray virtual class and two concrete subclasses: COO_SparseArray
 and SVT_SparseArray. Each subclass uses its own internal representation
 of the nonzero multidimensional data, the "COO layout" and the "SVT
 layout", respectively. SVT_SparseArray objects mimic as much as
 possible the behavior of ordinary matrix and array objects in base R.
 In particular, they support most of the "standard matrix and array API"
 defined in base R and in the matrixStats package from CRAN.

## r-bioc-sparsearray 1.4.8+dfsg

=== DESCRIPTION ===
Package: SparseArray
Title: High-performance sparse data representation and manipulation in
        R
Description: The SparseArray package provides array-like containers for
	efficient in-memory representation of multidimensional sparse data in
	R (arrays and matrices). The package defines the SparseArray virtual
	class and two concrete subclasses: COO_SparseArray and SVT_SparseArray.
	Each subclass uses its own internal representation of the nonzero
	multidimensional data: the "COO layout" and the "SVT layout",
	respectively. SVT_SparseArray objects mimic as much as possible the
	behavior of ordinary matrix and array objects in base R. In particular,
	they suppport most of the "standard matrix and array API" defined in
	base R and in the matrixStats package from CRAN.
biocViews: Infrastructure, DataRepresentation
URL: https://bioconductor.org/packages/SparseArray
BugReports: https://github.com/Bioconductor/SparseArray/issues
Version: 1.4.8
License: Artistic-2.0
Encoding: UTF-8
Authors@R: c(
	person("Hervé", "Pagès", role=c("aut", "cre"),
		email="hpages.on.github@gmail.com"),
	person("Vince", "Carey", role="fnd",
		email="stvjc@channing.harvard.edu"),
	person("Rafael A.", "Irizarry", role="fnd",
		email="rafa@ds.harvard.edu"),
	person("Jacques", "Serizay", role="ctb"))
Depends: R (>= 4.3.0), methods, Matrix, BiocGenerics (>= 0.43.1),
        MatrixGenerics (>= 1.11.1), S4Vectors, S4Arrays (>= 1.4.1)
Imports: utils, stats, matrixStats, IRanges, XVector
LinkingTo: S4Vectors, IRanges, XVector
Suggests: DelayedArray, testthat, knitr, rmarkdown, BiocStyle
VignetteBuilder: knitr
Collate: utils.R options.R OPBufTree.R thread-control.R
        sparseMatrix-utils.R SparseArray-class.R
        COO_SparseArray-class.R SVT_SparseArray-class.R
        extract_sparse_array.R read_block_as_sparse.R
        SparseArray-dim-tuning.R SparseArray-aperm.R
        SparseArray-subsetting.R SparseArray-subassignment.R
        SparseArray-abind.R SparseArray-summarization.R
        SparseArray-Ops-methods.R SparseArray-Math-methods.R
        SparseArray-Complex-methods.R SparseArray-misc-methods.R
        SparseMatrix-mult.R matrixStats-methods.R rowsum-methods.R
        randomSparseArray.R readSparseCSV.R zzz.R
git_url: https://git.bioconductor.org/packages/SparseArray
git_branch: RELEASE_3_19
git_last_commit: 3d08cdc
git_last_commit_date: 2024-05-24
Repository: Bioconductor 3.19
Date/Publication: 2024-05-24
NeedsCompilation: yes
Packaged: 2024-05-24 23:26:31 UTC; biocbuild
Author: Hervé Pagès [aut, cre],
  Vince Carey [fnd],
  Rafael A. Irizarry [fnd],
  Jacques Serizay [ctb]
Maintainer: Hervé Pagès <hpages.on.github@gmail.com>

=== debian/changelog ===
r-bioc-sparsearray (1.4.8+dfsg-1) unstable; urgency=medium

  * Team upload.
  * Upload to unstable.

 -- Michael R. Crusoe <crusoe@debian.org>  Sat, 17 Aug 2024 19:31:37 +0200

r-bioc-sparsearray (1.4.8+dfsg-1~0exp1) experimental; urgency=medium

  * Team upload.
  * d/{,tests/}control: bump minimum versions of r-bioc-* packages to
    bioc-3.19+ versions

 -- Michael R. Crusoe <crusoe@debian.org>  Mon, 22 Jul 2024 12:33:29 +0200

r-bioc-sparsearray (1.4.8+dfsg-1~0exp) experimental; urgency=medium

  * Team upload.
  * New upstream version. Closes: #1071351
  * Reorder sequence of d/control fields by cme (routine-update)
  * d/control: Skip building on 32-bit systems.

 -- Michael R. Crusoe <crusoe@debian.org>  Tue, 09 Jul 2024 18:49:49 +0200

=== debian/control ===
Source: r-bioc-sparsearray
Section: gnu-r
Priority: optional
Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
Uploaders: Andreas Tille <tille@debian.org>
Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-bioc-sparsearray
Vcs-Git: https://salsa.debian.org/r-pkg-team/r-bioc-sparsearray.git
Homepage: https://bioconductor.org/packages/SparseArray/
Standards-Version: 4.6.2
Rules-Requires-Root: no
Build-Depends: debhelper-compat (= 13),
               architecture-is-64-bit,
               dh-r,
               r-base-dev,
               r-cran-matrix,
               r-bioc-biocgenerics (>= 0.50.0),
               r-bioc-matrixgenerics (>= 1.16.0),
               r-bioc-s4vectors (>= 0.42.1),
               r-bioc-s4arrays (>= 1.4.1),
               r-cran-matrixstats,
               r-bioc-iranges (>= 2.38.1),
               r-bioc-xvector (>= 0.44.0)
Testsuite: autopkgtest-pkg-r

Package: r-bioc-sparsearray
Architecture: any
Depends: ${R:Depends},
         ${shlibs:Depends},
         ${misc:Depends},
         r-bioc-biocgenerics (>= 0.50.0),
         r-bioc-matrixgenerics (>= 1.16.0),
         r-bioc-s4vectors (>= 0.42.1),
         r-bioc-s4arrays (>= 1.4.1),
         r-bioc-iranges (>= 2.38.1),
         r-bioc-xvector (>= 0.44.0)
Recommends: ${R:Recommends}
Suggests: ${R:Suggests},
          r-bioc-delayedarray (>= 0.30.1),
          r-bioc-biocstyle (>= 2.32.1)
Description: efficient in-memory representation of multidimensional sparse arrays
 The SparseArray package is an infrastructure package that
 provides an array-like container for efficient in-memory representation
 of multidimensional sparse data in R. The package defines the
 SparseArray virtual class and two concrete subclasses: COO_SparseArray
 and SVT_SparseArray. Each subclass uses its own internal representation
 of the nonzero multidimensional data, the "COO layout" and the "SVT
 layout", respectively. SVT_SparseArray objects mimic as much as
 possible the behavior of ordinary matrix and array objects in base R.
 In particular, they support most of the "standard matrix and array API"
 defined in base R and in the matrixStats package from CRAN.

## r-bioc-sparsearray 1.6.0+dfsg

=== DESCRIPTION ===
Package: SparseArray
Title: High-performance sparse data representation and manipulation in
        R
Description: The SparseArray package provides array-like containers for
	efficient in-memory representation of multidimensional sparse data in
	R (arrays and matrices). The package defines the SparseArray virtual
	class and two concrete subclasses: COO_SparseArray and SVT_SparseArray.
	Each subclass uses its own internal representation of the nonzero
	multidimensional data: the "COO layout" and the "SVT layout",
	respectively. SVT_SparseArray objects mimic as much as possible the
	behavior of ordinary matrix and array objects in base R. In particular,
	they suppport most of the "standard matrix and array API" defined in
	base R and in the matrixStats package from CRAN.
biocViews: Infrastructure, DataRepresentation
URL: https://bioconductor.org/packages/SparseArray
BugReports: https://github.com/Bioconductor/SparseArray/issues
Version: 1.6.0
License: Artistic-2.0
Encoding: UTF-8
Authors@R: c(
	person("Hervé", "Pagès", role=c("aut", "cre"),
		email="hpages.on.github@gmail.com",
		comment=c(ORCID="0009-0002-8272-4522")),
	person("Vince", "Carey", role="fnd",
		email="stvjc@channing.harvard.edu",
		comment=c(ORCID="0000-0003-4046-0063")),
	person("Rafael A.", "Irizarry", role="fnd",
		email="rafa@ds.harvard.edu",
		comment=c(ORCID="0000-0002-3944-4309")),
	person("Jacques", "Serizay", role="ctb",
		comment=c(ORCID="0000-0002-4295-0624")))
Depends: R (>= 4.3.0), methods, Matrix, BiocGenerics (>= 0.43.1),
        MatrixGenerics (>= 1.11.1), S4Vectors (>= 0.43.2), S4Arrays (>=
        1.5.11)
Imports: utils, stats, matrixStats, IRanges, XVector
LinkingTo: S4Vectors, IRanges, XVector
Suggests: HDF5Array, ExperimentHub, testthat, knitr, rmarkdown,
        BiocStyle
VignetteBuilder: knitr
Collate: utils.R options.R OPBufTree.R thread-control.R
        sparseMatrix-utils.R is_nonzero.R SparseArray-class.R
        COO_SparseArray-class.R SVT_SparseArray-class.R
        extract_sparse_array.R read_block_as_sparse.R
        SparseArray-dim-tuning.R SparseArray-aperm.R
        SparseArray-subsetting.R SparseArray-subassignment.R
        SparseArray-abind.R SparseArray-summarization.R
        SparseArray-Arith-methods.R SparseArray-Compare-methods.R
        SparseArray-Logic-methods.R SparseArray-Math-methods.R
        SparseArray-Complex-methods.R SparseArray-misc-methods.R
        SparseArray-matrixStats.R rowsum-methods.R SparseMatrix-mult.R
        randomSparseArray.R readSparseCSV.R is_nonna.R NaArray-class.R
        NaArray-aperm.R NaArray-subsetting.R NaArray-subassignment.R
        NaArray-abind.R NaArray-summarization.R NaArray-Arith-methods.R
        NaArray-Compare-methods.R NaArray-Logic-methods.R
        NaArray-Math-methods.R NaArray-misc-methods.R
        NaArray-matrixStats.R zzz.R
git_url: https://git.bioconductor.org/packages/SparseArray
git_branch: RELEASE_3_20
git_last_commit: c665d9e
git_last_commit_date: 2024-10-29
Repository: Bioconductor 3.20
Date/Publication: 2024-10-29
NeedsCompilation: yes
Packaged: 2024-10-30 02:57:59 UTC; biocbuild
Author: Hervé Pagès [aut, cre] (<https://orcid.org/0009-0002-8272-4522>),
  Vince Carey [fnd] (<https://orcid.org/0000-0003-4046-0063>),
  Rafael A. Irizarry [fnd] (<https://orcid.org/0000-0002-3944-4309>),
  Jacques Serizay [ctb] (<https://orcid.org/0000-0002-4295-0624>)
Maintainer: Hervé Pagès <hpages.on.github@gmail.com>

=== debian/changelog ===
r-bioc-sparsearray (1.6.0+dfsg-2) unstable; urgency=medium

  * Team upload.
  * Upload to unstable.

 -- Michael R. Crusoe <crusoe@debian.org>  Sun, 12 Jan 2025 15:14:24 +0100

r-bioc-sparsearray (1.6.0+dfsg-1) experimental; urgency=medium

  * Team upload.
  * New upstream version.
  * dh-update-R to update Build-Depends (routine-update)

 -- Michael R. Crusoe <crusoe@debian.org>  Fri, 01 Nov 2024 07:29:00 +0100

=== debian/control ===
--- 
+++ 
@@ -9,34 +9,26 @@
 Standards-Version: 4.6.2
 Rules-Requires-Root: no
 Build-Depends: debhelper-compat (= 13),
-               architecture-is-64-bit,
                dh-r,
                r-base-dev,
                r-cran-matrix,
-               r-bioc-biocgenerics (>= 0.50.0),
-               r-bioc-matrixgenerics (>= 1.16.0),
-               r-bioc-s4vectors (>= 0.42.1),
-               r-bioc-s4arrays (>= 1.4.1),
+               r-bioc-biocgenerics (>= 0.43.1),
+               r-bioc-matrixgenerics (>= 1.11.1),
+               r-bioc-s4vectors (>= 0.43.2),
+               r-bioc-s4arrays (>= 1.5.11),
                r-cran-matrixstats,
-               r-bioc-iranges (>= 2.38.1),
-               r-bioc-xvector (>= 0.44.0)
+               r-bioc-iranges,
+               r-bioc-xvector,
+               architecture-is-64-bit
 Testsuite: autopkgtest-pkg-r
 
 Package: r-bioc-sparsearray
 Architecture: any
 Depends: ${R:Depends},
          ${shlibs:Depends},
-         ${misc:Depends},
-         r-bioc-biocgenerics (>= 0.50.0),
-         r-bioc-matrixgenerics (>= 1.16.0),
-         r-bioc-s4vectors (>= 0.42.1),
-         r-bioc-s4arrays (>= 1.4.1),
-         r-bioc-iranges (>= 2.38.1),
-         r-bioc-xvector (>= 0.44.0)
+         ${misc:Depends}
 Recommends: ${R:Recommends}
-Suggests: ${R:Suggests},
-          r-bioc-delayedarray (>= 0.30.1),
-          r-bioc-biocstyle (>= 2.32.1)
+Suggests: ${R:Suggests}
 Description: efficient in-memory representation of multidimensional sparse arrays
  The SparseArray package is an infrastructure package that
  provides an array-like container for efficient in-memory representation

## r-bioc-sparsearray 1.6.1+dfsg

=== DESCRIPTION ===
--- 
+++ 
@@ -14,7 +14,7 @@
 biocViews: Infrastructure, DataRepresentation
 URL: https://bioconductor.org/packages/SparseArray
 BugReports: https://github.com/Bioconductor/SparseArray/issues
-Version: 1.6.0
+Version: 1.6.1
 License: Artistic-2.0
 Encoding: UTF-8
 Authors@R: c(
@@ -56,12 +56,12 @@
         NaArray-matrixStats.R zzz.R
 git_url: https://git.bioconductor.org/packages/SparseArray
 git_branch: RELEASE_3_20
-git_last_commit: c665d9e
-git_last_commit_date: 2024-10-29
+git_last_commit: 9bd6e53
+git_last_commit_date: 2025-01-17
 Repository: Bioconductor 3.20
-Date/Publication: 2024-10-29
+Date/Publication: 2025-01-19
 NeedsCompilation: yes
-Packaged: 2024-10-30 02:57:59 UTC; biocbuild
+Packaged: 2025-01-19 22:57:20 UTC; biocbuild
 Author: Hervé Pagès [aut, cre] (<https://orcid.org/0009-0002-8272-4522>),
   Vince Carey [fnd] (<https://orcid.org/0000-0003-4046-0063>),
   Rafael A. Irizarry [fnd] (<https://orcid.org/0000-0002-3944-4309>),

=== debian/changelog ===
r-bioc-sparsearray (1.6.1+dfsg-1) unstable; urgency=medium

  * Team upload.
  * d/control: Update standards-version to 4.7.0
  * New upstream version
  * dh-update-R to update Build-Depends (routine-update)

 -- Michael R. Crusoe <crusoe@debian.org>  Mon, 27 Jan 2025 13:27:24 +0100

=== debian/control ===
--- 
+++ 
@@ -1,13 +1,9 @@
 Source: r-bioc-sparsearray
-Section: gnu-r
-Priority: optional
 Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
 Uploaders: Andreas Tille <tille@debian.org>
-Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-bioc-sparsearray
-Vcs-Git: https://salsa.debian.org/r-pkg-team/r-bioc-sparsearray.git
-Homepage: https://bioconductor.org/packages/SparseArray/
-Standards-Version: 4.6.2
-Rules-Requires-Root: no
+Section: gnu-r
+Testsuite: autopkgtest-pkg-r
+Priority: optional
 Build-Depends: debhelper-compat (= 13),
                dh-r,
                r-base-dev,
@@ -15,12 +11,16 @@
                r-bioc-biocgenerics (>= 0.43.1),
                r-bioc-matrixgenerics (>= 1.11.1),
                r-bioc-s4vectors (>= 0.43.2),
-               r-bioc-s4arrays (>= 1.5.11),
+               r-bioc-s4arrays,
                r-cran-matrixstats,
                r-bioc-iranges,
                r-bioc-xvector,
                architecture-is-64-bit
-Testsuite: autopkgtest-pkg-r
+Standards-Version: 4.7.0
+Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-bioc-sparsearray
+Vcs-Git: https://salsa.debian.org/r-pkg-team/r-bioc-sparsearray.git
+Homepage: https://bioconductor.org/packages/SparseArray/
+Rules-Requires-Root: no
 
 Package: r-bioc-sparsearray
 Architecture: any

## r-bioc-sparsearray 1.6.2+dfsg

=== DESCRIPTION ===
--- 
+++ 
@@ -14,7 +14,7 @@
 biocViews: Infrastructure, DataRepresentation
 URL: https://bioconductor.org/packages/SparseArray
 BugReports: https://github.com/Bioconductor/SparseArray/issues
-Version: 1.6.1
+Version: 1.6.2
 License: Artistic-2.0
 Encoding: UTF-8
 Authors@R: c(
@@ -56,12 +56,12 @@
         NaArray-matrixStats.R zzz.R
 git_url: https://git.bioconductor.org/packages/SparseArray
 git_branch: RELEASE_3_20
-git_last_commit: 9bd6e53
-git_last_commit_date: 2025-01-17
+git_last_commit: 89a7e4b
+git_last_commit_date: 2025-02-18
 Repository: Bioconductor 3.20
-Date/Publication: 2025-01-19
+Date/Publication: 2025-02-20
 NeedsCompilation: yes
-Packaged: 2025-01-19 22:57:20 UTC; biocbuild
+Packaged: 2025-02-21 00:09:45 UTC; biocbuild
 Author: Hervé Pagès [aut, cre] (<https://orcid.org/0009-0002-8272-4522>),
   Vince Carey [fnd] (<https://orcid.org/0000-0003-4046-0063>),
   Rafael A. Irizarry [fnd] (<https://orcid.org/0000-0002-3944-4309>),

=== debian/changelog ===
r-bioc-sparsearray (1.6.2+dfsg-2) unstable; urgency=medium

  * Team upload
  * Transiently disable tests to let r-base 4.4.3 migrate in Testing.

 -- Charles Plessy <plessy@debian.org>  Thu, 27 Mar 2025 10:25:14 +0900

r-bioc-sparsearray (1.6.2+dfsg-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Standards-Version: 4.7.2 (routine-update)
  * Reorder sequence of d/control fields by cme (routine-update)

 -- Charles Plessy <plessy@debian.org>  Mon, 10 Mar 2025 13:24:44 +0900

=== debian/control ===
--- 
+++ 
@@ -1,26 +1,27 @@
 Source: r-bioc-sparsearray
+Section: gnu-r
+Priority: optional
 Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
 Uploaders: Andreas Tille <tille@debian.org>
-Section: gnu-r
-Testsuite: autopkgtest-pkg-r
-Priority: optional
+Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-bioc-sparsearray
+Vcs-Git: https://salsa.debian.org/r-pkg-team/r-bioc-sparsearray.git
+Homepage: https://bioconductor.org/packages/SparseArray/
+Standards-Version: 4.7.2
+Rules-Requires-Root: no
 Build-Depends: debhelper-compat (= 13),
                dh-r,
                r-base-dev,
                r-cran-matrix,
                r-bioc-biocgenerics (>= 0.43.1),
                r-bioc-matrixgenerics (>= 1.11.1),
+               r-bioc-s4arrays,
                r-bioc-s4vectors (>= 0.43.2),
-               r-bioc-s4arrays,
                r-cran-matrixstats,
                r-bioc-iranges,
                r-bioc-xvector,
                architecture-is-64-bit
-Standards-Version: 4.7.0
-Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-bioc-sparsearray
-Vcs-Git: https://salsa.debian.org/r-pkg-team/r-bioc-sparsearray.git
-Homepage: https://bioconductor.org/packages/SparseArray/
-Rules-Requires-Root: no
+# Re-enable after r-base 4.4.3 entered Testing
+#Testsuite: autopkgtest-pkg-r
 
 Package: r-bioc-sparsearray
 Architecture: any

=== debian/watch ===
version=4
opts="downloadurlmangle=s?^(.*)\.\.?https://bioconductor.org/packages/release/bioc?,repacksuffix=+dfsg,dversionmangle=auto" \
https://bioconductor.org/packages/release/bioc/html/SparseArray.html .*/SparseArray_(.*).tar.gz
